Summary: A text-based modem control and terminal emulation program.
Name: minicom
Version: 2.1
Release: 4m
License: GPL
Group: Applications/Communications
URL: http://alioth.debian.org/projects/minicom/
Source: http://alioth.debian.org/download.php/123/minicom-%{version}.tar.gz
NoSource: 0
Patch0: minicom-2.1-build.patch
Patch1: minicom-drop-privs.patch
Patch2: minicom-umask.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl
BuildPrereq: ncurses-devel
Prereq: ncurses

%description
Minicom is a simple text-based modem control and terminal emulation
program somewhat similar to MSDOS Telix.  Minicom includes a dialing
directory, full ANSI and VT100 emulation, an (external) scripting
language, and other features.

Minicom should be installed if you need a simple modem control program
or terminal emulator.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1 -b .umask
perl -p -i -e "s|charset=euc-japanese|charset=euc-jp|g" po/ja.po
rm -rf po/ja_JP.SJIS.po

%build
./configure --enable-dfl-port=/dev/modem
make

%install
rm -rf %{buildroot}
%makeinstall

echo "FIX ME !!!!!!!!!" >&2

%__mkdir -p %{buildroot}%{_sysconfdir}
cat << EOF > %{buildroot}%{_sysconfdir}/minirc.dfl
pu minit            ~^M~ATZ^M~
pu mreset           ~^M~ATZ^M~
EOF
install -m 644 doc/minicom.users %{buildroot}%{_sysconfdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* extras/linux extras/tables
%config %{_sysconfdir}/minicom.users
%attr(2755,root,uucp) /usr/bin/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/*/*
%{_datadir}/locale/*/*/*
%config %{_sysconfdir}/minirc.dfl

%changelog
* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (2.1-4m)
- rebuild against libtermcap and ncurses

* Sat Aug 14 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.1-3m)
- remove minicom.desktop

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1-2m)
- rebuild against ncurses 5.3.

* Tue Jun  3 2003 zunda <zunda at freeshell.org>
- (2.1-1m)
- source update
- minicom-2.00.0-build.patch replaced with minicom-2.1-build.patch
- minicom-notsjis.patch no longer needed (really?)
- minicom-2.00.0-autogen.sh.patch no longer needed because we don't have
  to run autogen.sh

* Mon Dec 20 2002 Kenta MURATA <muraken@momonga-linux.org>
- (2.00.0-9m)
- use autoconf-2.53 and autoheader-2.53

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.00.0-8k)
- not need ja_JP.SJIS.po

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.00.0-6k)
- japanese releted stuff

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (2.00.0-4k)
- nigirisugi

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.00.0-2k)
- update 2.00.0, so unable to translate ko.po

* Sun Oct 21 2001 Toru Hoshina <t@kondara.org>
- (1.83.1-4k)
- rebuild against gettext 0.10.40.

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Sun Jun 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.83.1-2k)
- security fix.

* Thu May  3 2001 Mike A. Harris <mharris@redhat.com> 1.83.1-8
- Changed minicom to disable SGID/SUID operation completely as it was
  never designed to be secure, and likely never will be. (#35613)
- Updated the format string patch I made to fix more format string abuses.
- Added Czeck cs_CZ locale translations.

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.83-8k)
- rebuild against glibc-2.2.2 and add minicom.glibc222.time.patch

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.83-6k)
- errased minicom-1.83.0-manfix.patch and modified spec file for compatibility

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- update to 1.83.0

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 1.82.1
- s/sunsite/metalab

* Wed May 19 1999 Jeff Johnson <jbj@redhat.com>
- restore setgid uucp to permit minicom to lock in /var/lock (#2922).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- fixed bug, changed groups.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.82 to include i18n fixes

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- security fixes (alan cox, but he forgot about the changelog)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- BuildRoot; updated .make patch to cope with the buildroot
- fixed the spec file

* Tue May 06 1998 Michael Maher <mike@redhat.com>
- update of package (1.81)

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
